Subject: Re: new version of packet selection draft

From: Juergen Quittek <[email-masked]>
Date: Mon, 15 Nov 2004 01:07:31 +0100

Dear all,

I reviewed the Packet Selection I-D.
It is a very good and clear document.
I have just some minor comments.

Document header
  The affiliations of Maurizio, Fredi and Saverio changed recently.
  Please update them.

Abstract
  Capitalization of "Sampling and Filtering" and "packet Selection"
  are a bit irritating.  I suggest to use small letters, particularly
  for "packet Selection".

Section 2, item [PSAMP-FW]
  Please delete the last three lines about 'must, 'should', etc.

Section 3
  Capitalization is not used consistenly, for example
  Section 3.1, 'Packet Stream', line 1
    "packet stream" -> "Packet Stream"
  Section 3.1, 'Packet Content', line 1
    "packet content" -> "Packet Content"
  Section 3.1, 'Selection Process', line 1
    "selection process" -> "Selection Process"
  Section 3.2, 'Selection State', line 1
    "selection process" -> "Selection Process"
  Section 3.2, 'Selection State', line 2
    "selection process" -> "Selection Process"
  Section 3.2, 'Selection State', line 2
    "reporting process" -> "Reporting Process"
  Section 3.2, 'Selection State', line 3
    "selection state" -> "Selection State"
  Section 3.2, 'Selection State', line 12
    "selection state" -> "Selection State"
  Section 3.2, 'Selection State', line 13
    "Selection state" -> "Selection State"
  Section 3.2, 'Selector', line 1
    "selection process" -> "Selection Process"
  Section 3.2, 'Selector', item (i)
    "packet's content" -> "Packet Content"
  Section 3.2, 'Selector', item (iii)
    "selection process" -> "Selection Process"
  Section 3.3, 'Reporting Process', line 1
    "reporting process" -> "Reporting Process"
  Section 3.3, 'Reporting Process', item (i)
    "packet's content" -> "Packet Content"
  ... and so on.  Please use a consistent capitalization scheme.

Section 3.1, 'Observation Point', line 2
  I would remove the colon after "Examples include"

Section 3.2, 'Selection State', line 2
  I would remove the colon after "Examples include"

Section 3.3, 'Reporting Process'
  Please remove colon at end of heading

Section 5.2.2.3, last paragraph
  after reference [PSAMP-FW] there should be a closing bracket
  and a period

Section 6.1, first line
  "IPIFIX" -> "IPFIX"

References, [MolFl03]
  This reference points to an Internet draft and has to be removed.

Appendix
  The Appendix should be between the Acknowledgment Section
  and the References Sections.  References, Authors' addresses
  and IPR statements should be easy to find at the end of the
  document.

Thanks,

    Juergen
-- 
Juergen Quittek        [email-masked]       Tel: +49 6221 90511-15
NEC Europe Ltd.,       Network Laboratories        Fax: +49 6221 90511-55
Kurfuersten-Anlage 36, 69115 Heidelberg, Germany   http://www.netlab.nec.de

--On 15.10.2004 16:49 h +0200 Tanja Zseby wrote:

> Hi all,
>
> I submitted a new version of the packet selection draft. The main changes from the last version are the following :
>
> -    Low level filter definition substituted by simple filter definition based on IPFIX flow attributes
>         - No masks and ranges (exept source and dest addresses)
>         - No OR operation, AND realized by concatenating filters
> -    Hash function description moved to appendix
> -    Relations to IPFIX removed (instead reference to FW draft)
> -    Intro on other PSAMP documents  added
> -    Terminology updated (consistent with FW draft), including new terms Configured and Attained Selection Fraction
> -    Restructuring (now better separation of Sampling and Filtering issues)
> -    Mentioned that IPSX has only been tested on IPv4
> -    AT&T IPR statement added
>
> Regards
> Tanja
>
> --
> Dipl.-Ing. Tanja Zseby			    	      	
> Fraunhofer Institute FOKUS			Email: [email-masked]	
> Kaiserin-Augusta-Allee 31			Phone: +49-30-3463-7153
> D-10589 Berlin, Germany				Fax:   +49-30-3463-8153
> -------------------------------------------------------------------------------------- "Living on earth is expensive but it includes a free trip around the sun." (Anonymous)
> --------------------------------------------------------------------------------------
>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/psamp/>